MyGUI: MyGUI::ResourceLayout Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
MyGUI::ResourceLayout Class Reference

`#include <MyGUI_ResourceLayout.h>`

Inheritance diagram for MyGUI::ResourceLayout:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceLayout | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ResourceLayout ()
| ResourceLayout (xml::ElementPtr _node, const std::string &_file)
virtual void | deserialization (xml::ElementPtr _node, Version _version)
const VectorWidgetInfo & | getLayoutData () const
VectorWidgetPtr | createLayout (const std::string &_prefix="", Widget *_parent=0)
Widget * | createWidget (const WidgetInfo &_widgetInfo, const std::string &_prefix="", Widget *_parent=0, bool _template=false)
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Protected Member Functions
WidgetInfo | parseWidget (xml::ElementEnumerator &_widget)
Protected Member Functions inherited from MyGUI::IResource
| IResource ()
virtual | ~IResource ()

## Protected Attributes
VectorWidgetInfo | mLayoutData
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

ResourceLayout is resource that contain full layout info, used for creating widgets.

Definition at line 18 of file MyGUI_ResourceLayout.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ResourceLayout::Base

Definition at line 21 of file MyGUI_ResourceLayout.h.

## ◆ RTTIBase

typedef ResourceLayout MyGUI::ResourceLayout::RTTIBase

Definition at line 21 of file MyGUI_ResourceLayout.h.

## Constructor & Destructor Documentation

## ◆ ResourceLayout() [1/2]

MyGUI::ResourceLayout::ResourceLayout | ( |  | ) |

Definition at line 19 of file MyGUI_ResourceLayout.cpp.

## ◆ ResourceLayout() [2/2]

MyGUI::ResourceLayout::ResourceLayout | ( | xml::ElementPtr | _node,
|  | const std::string & | _file
| ) |  |

Definition at line 23 of file MyGUI_ResourceLayout.cpp.

## Member Function Documentation

## ◆ createLayout()

VectorWidgetPtr MyGUI::ResourceLayout::createLayout | ( | const std::string & | _prefix = `""`,
|  | Widget * | _parent = `0`
| ) |  |

Create widgets described in layout

Definition at line 101 of file MyGUI_ResourceLayout.cpp.

## ◆ createWidget()

Widget * MyGUI::ResourceLayout::createWidget | ( | const WidgetInfo & | _widgetInfo,
|  | const std::string & | _prefix = `""`,
|  | Widget * | _parent = `0`,
|  | bool | _template = `false`
| ) |  |

Definition at line 114 of file MyGUI_ResourceLayout.cpp.

## ◆ deserialization()

void MyGUI::ResourceLayout::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| virtual

Reimplemented from MyGUI::IResource.

Definition at line 30 of file MyGUI_ResourceLayout.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ResourceLayout::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 21 of file MyGUI_ResourceLayout.h.

## ◆ getLayoutData()

const VectorWidgetInfo & MyGUI::ResourceLayout::getLayoutData | ( |  | ) | const

Definition at line 183 of file MyGUI_ResourceLayout.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::ResourceLayout::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::IResource.

Definition at line 21 of file MyGUI_ResourceLayout.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ResourceLayout::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_ResourceLayout.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceLayout::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Definition at line 21 of file MyGUI_ResourceLayout.h.

## ◆ parseWidget()

WidgetInfo MyGUI::ResourceLayout::parseWidget | ( | xml::ElementEnumerator & | _widget | ) |
| protected

Definition at line 41 of file MyGUI_ResourceLayout.cpp.

## Field Documentation

## ◆ mLayoutData

VectorWidgetInfo MyGUI::ResourceLayout::mLayoutData
| protected

Definition at line 43 of file MyGUI_ResourceLayout.h.

The documentation for this class was generated from the following files:

- MyGUI_ResourceLayout.h
- MyGUI_ResourceLayout.cpp